[ovs-dev] [PATCH ovn 1/2] travis: Dump config.log if make fails.

Ihar Hrachyshka ihrachys at redhat.com
Mon Mar 9 21:11:54 UTC 2020


This is sometimes useful for debugging.

Adopted from https://patchwork.ozlabs.org/patch/1164307/
(c98f69070ab11a54fb7018e65905f769f3b1f676 in ovs tree).

Signed-off-by: Ihar Hrachyshka <ihrachys at redhat.com>
---
 .travis/linux-build.sh |  4 ++--
 .travis/osx-build.sh   | 10 +++++++---
 2 files changed, 9 insertions(+), 5 deletions(-)

diff --git a/.travis/linux-build.sh b/.travis/linux-build.sh
index 37a6844ab..98bc0ee4a 100755
--- a/.travis/linux-build.sh
+++ b/.travis/linux-build.sh
@@ -13,7 +13,7 @@ function configure_ovs()
     git clone https://github.com/openvswitch/ovs.git ovs_src
     pushd ovs_src
     ./boot.sh && ./configure $* || { cat config.log; exit 1; }
-    make -j4
+    make -j4 || { cat config.log; exit 1; }
     popd
 }
 
@@ -51,7 +51,7 @@ else
     configure_ovn $OPTS
     make selinux-policy
 
-    make -j4
+    make -j4 || { cat config.log; exit 1; }
 fi
 
 exit 0
diff --git a/.travis/osx-build.sh b/.travis/osx-build.sh
index 1d6ac54af..a0aaa5e85 100755
--- a/.travis/osx-build.sh
+++ b/.travis/osx-build.sh
@@ -10,7 +10,7 @@ function configure_ovs()
     git clone https://github.com/openvswitch/ovs.git ovs_src
     pushd ovs_src
     ./boot.sh && ./configure $*
-    make -j4
+    make -j4 || { cat config.log; exit 1; }
     popd
 }
 
@@ -23,9 +23,13 @@ function configure_ovn()
 configure_ovn $EXTRA_OPTS $*
 
 if [ "$CC" = "clang" ]; then
-    make CFLAGS="$CFLAGS -Wno-error=unused-command-line-argument"
+    set make CFLAGS="$CFLAGS -Wno-error=unused-command-line-argument"
 else
-    make CFLAGS="$CFLAGS $BUILD_ENV"
+    set make CFLAGS="$CFLAGS $BUILD_ENV"
+fi
+if ! "$@"; then
+    cat config.log
+    exit 1
 fi
 if [ "$TESTSUITE" ] && [ "$CC" != "clang" ]; then
     export DISTCHECK_CONFIGURE_FLAGS="$EXTRA_OPTS --with-ovs-source=$PWD/ovs_src"
-- 
2.24.1



More information about the dev mailing list